RDKit::RDTypeTag::detail::Value Union Reference

`#include <RDValue-taggedunion.h>`

## Public Member Functions

| Value ()
| Value (double v)
| Value (float v)
| Value (int v)
| Value (unsigned int v)
| Value (bool v)
| Value (std::string *v)
| Value (boost::any *v)
| Value (std::vector< double > *v)
| Value (std::vector< float > *v)
| Value (std::vector< int > *v)
| Value (std::vector< unsigned int > *v)
| Value (std::vector< std::string > *v)

## Public Attributes

double | d
float | f
int | i
unsigned | u
bool | b
std::string * | s
boost::any * | a
std::vector< double > * | vd
std::vector< float > * | vf
std::vector< int > * | vi
std::vector< unsigned int > * | vu
std::vector< std::string > * | vs

## Detailed Description

Definition at line 150 of file RDValue-taggedunion.h.

## Constructor & Destructor Documentation

## Value() [1/13]

RDKit::RDTypeTag::detail::Value::Value | ( |  | ) |

inline

Definition at line 164 of file RDValue-taggedunion.h.

## Value() [2/13]

RDKit::RDTypeTag::detail::Value::Value | ( | double | v | ) |

inline

Definition at line 165 of file RDValue-taggedunion.h.

## Value() [3/13]

RDKit::RDTypeTag::detail::Value::Value | ( | float | v | ) |

inline

Definition at line 166 of file RDValue-taggedunion.h.

## Value() [4/13]

RDKit::RDTypeTag::detail::Value::Value | ( | int | v | ) |

inline

Definition at line 167 of file RDValue-taggedunion.h.

## Value() [5/13]

RDKit::RDTypeTag::detail::Value::Value | ( | unsigned int | v | ) |

inline

Definition at line 168 of file RDValue-taggedunion.h.

## Value() [6/13]

RDKit::RDTypeTag::detail::Value::Value | ( | bool | v | ) |

inline

Definition at line 169 of file RDValue-taggedunion.h.

## Value() [7/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::string * | v | ) |

inline

Definition at line 170 of file RDValue-taggedunion.h.

## Value() [8/13]

RDKit::RDTypeTag::detail::Value::Value | ( | boost::any * | v | ) |

inline

Definition at line 171 of file RDValue-taggedunion.h.

## Value() [9/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::vector< double > * | v | ) |

inline

Definition at line 172 of file RDValue-taggedunion.h.

## Value() [10/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::vector< float > * | v | ) |

inline

Definition at line 173 of file RDValue-taggedunion.h.

## Value() [11/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::vector< int > * | v | ) |

inline

Definition at line 174 of file RDValue-taggedunion.h.

## Value() [12/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::vector< unsigned int > * | v | ) |

inline

Definition at line 175 of file RDValue-taggedunion.h.

## Value() [13/13]

RDKit::RDTypeTag::detail::Value::Value | ( | std::vector< std::string > * | v | ) |

inline

Definition at line 176 of file RDValue-taggedunion.h.

## Member Data Documentation

## a

boost::any* RDKit::RDTypeTag::detail::Value::a

Definition at line 157 of file RDValue-taggedunion.h.

Referenced by RDKit::RDValue::destroy(), RDKit::RDTypeTag::detail::valuePtrCast(), and RDKit::RDTypeTag::detail::valuePtrCast< boost::any >().

## b

bool RDKit::RDTypeTag::detail::Value::b

Definition at line 155 of file RDValue-taggedunion.h.

## d

double RDKit::RDTypeTag::detail::Value::d

Definition at line 151 of file RDValue-taggedunion.h.

## f

float RDKit::RDTypeTag::detail::Value::f

Definition at line 152 of file RDValue-taggedunion.h.

## i

int RDKit::RDTypeTag::detail::Value::i

Definition at line 153 of file RDValue-taggedunion.h.

Referenced by RDKit::rdvalue_cast< std::int16_t >(), RDKit::rdvalue_cast< std::int64_t >(), RDKit::rdvalue_cast< std::int8_t >(), RDKit::rdvalue_cast< std::uint16_t >(), RDKit::rdvalue_cast< std::uint64_t >(), and RDKit::rdvalue_cast< std::uint8_t >().

## s

std::string* RDKit::RDTypeTag::detail::Value::s

Definition at line 156 of file RDValue-taggedunion.h.

Referenced by RDKit::RDValue::destroy(), and RDKit::RDTypeTag::detail::valuePtrCast< std::string >().

## u

unsigned RDKit::RDTypeTag::detail::Value::u

Definition at line 154 of file RDValue-taggedunion.h.

Referenced by RDKit::rdvalue_cast< std::int16_t >(), RDKit::rdvalue_cast< std::int64_t >(), RDKit::rdvalue_cast< std::int8_t >(), RDKit::rdvalue_cast< std::uint16_t >(), RDKit::rdvalue_cast< std::uint64_t >(), and RDKit::rdvalue_cast< std::uint8_t >().

## vd

std::vector<double>* RDKit::RDTypeTag::detail::Value::vd

Definition at line 158 of file RDValue-taggedunion.h.

Referenced by RDKit::RDValue::destroy().

## vf

std::vector<float>* RDKit::RDTypeTag::detail::Value::vf

Definition at line 159 of file RDValue-taggedunion.h.

Referenced by RDKit::RDValue::destroy().

## vi

std::vector<int>* RDKit::RDTypeTag::detail::Value::vi

Definition at line 160 of file RDValue-taggedunion.h.

Referenced by RDKit::RDValue::destroy().

## vs

std::vector<std::string>* RDKit::RDTypeTag::detail::Value::vs

Definition at line 162 of file RDValue-taggedunion.h.

Referenced by RDKit::RDValue::destroy().

## vu

std::vector<unsigned int>* RDKit::RDTypeTag::detail::Value::vu

Definition at line 161 of file RDValue-taggedunion.h.

Referenced by RDKit::RDValue::destroy().

The documentation for this union was generated from the following file:

- RDValue-taggedunion.h